Skip to main content

Retrieve a time-series trend of alert counts for a system in NetApp Console local deployment

GET /organizations/{organization_id}/systems/{system_id}/alerttrends

Retrieves a time-series trend of alert counts for the specified system, with flexible filtering and grouping.

Parameters

Name Type In Required Description

organization_id

string

path

True

Unique identifier of the organization to which the user belongs.

system_id

string

path

True

Unique identifier of the system.

startTime

string

query

True

Start of the time interval (ISO 8601).

endTime

string

query

True

End of the time interval (ISO 8601).

granularity

string

query

True

Time bucket size (for example, hourly, daily).

severity

array[string]

query

False

Filter by alert severity. Repeatable.

impactArea

array[string]

query

False

Filter by impact area. Repeatable.

status

array[string]

query

False

Filter by alert status. Repeatable.

groupBy

array[string]

query

False

Grouping attributes (for example, severity, impactArea, and status).

Response

Status: 200, Time-series trend of alert counts for the system.
Name Type Required Description

buckets

array[buckets]

True

A list of time buckets in the trend.

Example response
{
  "buckets": [
    {
      "count": 4,
      "endTime": "2024-05-10T11:00:00Z",
      "startTime": "2024-05-10T10:00:00Z"
    },
    {
      "count": 2,
      "endTime": "2024-05-10T12:00:00Z",
      "startTime": "2024-05-10T11:00:00Z"
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Error

Status: 404, Not found
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404",
  "title": "Collection not found",
  "type": "https://bluexp.netapp.io/problems/2"
}

Definitions

See Definitions

buckets

Name Type Required Description

count

integer

False

Number of alerts in this time bucket.

endTime

string

False

End of the time bucket (ISO 8601).

startTime

string

False

Start of the time bucket (ISO 8601).

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.